Loading...
Searching...
No Matches
ojph_block_encoder.h File Reference
`#include "ojph_defs.h"`

Go to the source code of this file.

## Namespaces

namespace | ojph
namespace | ojph::local

## Functions

void | ojph::local::ojph_encode_codeblock32 (ui32 *buf, ui32 missing_msbs, ui32 num_passes, ui32 width, ui32 height, ui32 stride, ui32 *lengths, ojph::mem_elastic_allocator *elastic, ojph::coded_lists *&coded)
void | ojph::local::ojph_encode_codeblock64 (ui64 *buf, ui32 missing_msbs, ui32 num_passes, ui32 width, ui32 height, ui32 stride, ui32 *lengths, ojph::mem_elastic_allocator *elastic, ojph::coded_lists *&coded)
void | ojph::local::ojph_encode_codeblock_avx2 (ui32 *buf, ui32 missing_msbs, ui32 num_passes, ui32 width, ui32 height, ui32 stride, ui32 *lengths, ojph::mem_elastic_allocator *elastic, ojph::coded_lists *&coded)
void | ojph::local::ojph_encode_codeblock_avx512 (ui32 *buf, ui32 missing_msbs, ui32 num_passes, ui32 width, ui32 height, ui32 stride, ui32 *lengths, ojph::mem_elastic_allocator *elastic, ojph::coded_lists *&coded)
bool | ojph::local::initialize_block_encoder_tables ()
bool | ojph::local::initialize_block_encoder_tables_avx2 ()
bool | ojph::local::initialize_block_encoder_tables_avx512 ()